ipyvolume

v0.6.0-alpha.5

IPython widget for rendering 3d volumes

MIT
Latest version published 5 months ago
    npm install ipyvolume
  

Explore Similar Packages

Package Health Score

56 / 100
  • Popularity
    Limited
  • Maintenance
    Inactive
  • Security
    Security review needed
  • Community
    Active

Popularity

Limited
Weekly Downloads (886)
Dependents
22
GitHub Stars
1.45K
Forks
199
Contributors
35

The npm package ipyvolume receives a total of 886 downloads a week. As such, we scored ipyvolume popularity level to be Limited.

Based on project statistics from the GitHub repository for the npm package ipyvolume, we found that it has been starred 1,447 times, and that 22 other projects on the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

Security review needed

Security and license risk for recent versions


Direct Vulnerabilities

0.6.0-alpha.1
0.6.0-alpha.2
0.6.0-alpha.3
0.6.0-alpha.4
0.6.0-alpha.5
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

0.6.0-alpha.1
0.6.0-alpha.2
0.6.0-alpha.3
0.6.0-alpha.4
0.6.0-alpha.5

License Risks

0.6.0-alpha.1
0.6.0-alpha.2
0.6.0-alpha.3
0.6.0-alpha.4
0.6.0-alpha.5
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L

Security Policy
No
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Snyk detected that the latest version of ipyvolume has a security vulnerability.

We highly advise you to review these security issues.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

We found a way for you to contribute to the project! Looks like ipyvolume is missing a security policy.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test ipyvolume
Fix it in your project with Snyk!

Maintenance

Inactive
Commit Frequency
Open Issues
137
Merged PR
66
Open PR
22
Last Commit
4 months ago

Further analysis of the maintenance status of ipyvolume based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Inactive.

We found that ipyvolume demonstrates a positive version release cadence with at least one new version released in the past 12 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Active
Readme.md
Yes
Contributing.md
No
Code of Conduct
Yes
Contributors
35
Funding
No
License
MIT

With more than 10 contributors for the ipyvolume repository, this is possibly a sign for a growing and inviting community.

Package

Node.js Compatibility
not defined

Age
4 years
Dependencies
20 Direct / 343 Total
Versions
6
Install Size
6.42 MB
Dist-tags
2
# of Files
82
Maintainers
1
TS Typings
No

We detected a total of 343 direct & transitive dependencies for ipyvolume. See the full dependency tree of ipyvolume

ipyvolume has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.